Index: branches/PublicaMundi_David-devel/docs/kernel/orfeotoolbox.rst
===================================================================
--- branches/PublicaMundi_David-devel/docs/kernel/orfeotoolbox.rst	(revision 659)
+++ branches/PublicaMundi_David-devel/docs/kernel/orfeotoolbox.rst	(revision 663)
@@ -5,6 +5,5 @@
 
 `Orfeo Toolbox <http://orfeo-toolbox.org/otb/>`_ provides simple to advanced algorithms for processing imagery available from remote sensors.
-The optional Orfeo Toolbox support is available since `ZOO-Project 1.5
-<http://zoo-project.org>`__. It allows to execute the `OTB Applications <http://orfeo-toolbox.org/otb/otb-applications.html>`_ directly as ZOO WPS Services thanks to a :ref:`kernel_index` specific internal mechanism which is detailed in this section.
+The optional Orfeo Toolbox support is available since `ZOO-Project 1.5 <http://zoo-project.org>`__. It allows to execute the `OTB Applications <http://orfeo-toolbox.org/otb/otb-applications.html>`_ directly as ZOO WPS Services thanks to a :ref:`kernel_index` specific internal mechanism which is detailed in this section.
 
 .. note:: 
@@ -23,13 +22,12 @@
 ------------------------------
 
-Follow the step described bellow in order to activate the ZOO-Project
-optional Orfeo Toolbox support.
+Follow the step described bellow in order to activate the ZOO-Project optional Orfeo Toolbox support.
 
 Prerequisites
-.............
+.....................
 
    * latest `ZOO-Kernel <http://zoo-project.org/trac/browser/trunk/zoo-project/zoo-kernel>`_ trunk version
-   * Orfeo Toolbox (`OTB 4.2.1 <http://orfeo-toolbox.org/otb/>`_ )
-   * Insight Segmentation and Registration Toolkit  (`ITK-4.7 <http://itk.org/ITK/resources/software.html/>`_ )
+   * Orfeo Toolbox (`OTB 4.2.1 <http://orfeo-toolbox.org/otb/>`_)
+   * Insight Segmentation and Registration Toolkit  (`ITK-4.7 <http://itk.org/ITK/resources/software.html/>`_)
 
 Installation steps
@@ -57,8 +55,8 @@
 
 Configuration steps
-*************************
+....................................
 
 Main configuration file
-^^^^^^^^^^^^^^^^^^^^^^^
+*************************
 
 Add the following content to your ``/usr/lib/cgi-bin/main.cfg`` file 
@@ -70,5 +68,5 @@
 
 Services configuration file
-^^^^^^^^^^^^^^^^^^^^^^^^^^
+****************************
 
 The build of the `otb2zcfg  <http://zoo-project.org/trac/browser/trunk/thirds/otb2zcfg>`_ utility is required to activate the available OTB Applications as WPS services. This can be done using the following command: 
@@ -96,6 +94,6 @@
      The ITK_AUTOLOAD_PATH environment variable is required in the [env] section of your main.cfg.
 
-Test the ZOO OTB support
-^^^^^^^^^^^^^^^^^^^^^^^
+Test requests
+****************************
 
 Once done, OTB Applications should be listed as available WPS Services when runing a GetCapabilities request
@@ -111,5 +109,5 @@
    http://localhost/cgi-bin/zoo_loader.cgi?request=DescribeProcess&service=WPS&version=1.0.0&Identifier=OTB.BandMath
 
-As an example, here is a test request executing the OTB.BandMath Application with the OTB Cookbook sample data as input
+Here is an example request executing the *OTB.BandMath* Application with the `OTB Cookbook <https://www.orfeo-toolbox.org/CookBook/CookBook.html>`_ sample data as input
 
 .. code-block:: guess
@@ -119,5 +117,6 @@
 
 .. note::
-   When executing OTB applications as WPS Services, it is also possible to check the OTB process status, using the usual ZOO GetStatus request.
+
+   The usual ZOO GetStatus requests also work when using the OTB Applications as WPS Services.
 
 
Index: branches/PublicaMundi_David-devel/docs/kernel/sagagis.rst
===================================================================
--- branches/PublicaMundi_David-devel/docs/kernel/sagagis.rst	(revision 659)
+++ branches/PublicaMundi_David-devel/docs/kernel/sagagis.rst	(revision 663)
@@ -18,9 +18,4 @@
 
 
-How does it work ?
--------------------------
-
-
-
 Installation and configuration
 ------------------------------
@@ -29,5 +24,5 @@
 
 Prerequisites
-.............
+.....................
 
    * latest `ZOO-Kernel <http://zoo-project.org/trac/browser/trunk/zoo-project/zoo-kernel>`_ trunk version
@@ -62,73 +57,49 @@
 
 Configuration steps
-*************************
+...............................
 
-Main configuration file
-^^^^^^^^^^^^^^^^^^^^^^^
+Services configuration file
+****************************
 
-Add the following content to your ``/usr/lib/cgi-bin/main.cfg`` file 
-in the ``[env]`` section:
+Building the `saga2zcfg
+<http://zoo-project.org/trac/browser/trunk/thirds/otb2zcfg >`_ utility is required to activate the available SAGA-GIS Modules as WPS Services. This can be done using the following command:
 
 .. code-block:: guess
 
-       ITK_AUTOLOAD_PATH=/usr/local/lib/otb/applications
+    cd thirds/saga2zcfg
+    make
 
-Services configuration file
-^^^^^^^^^^^^^^^^^^^^^^^^^^
-
-The build of the `otb2zcfg  <http://zoo-project.org/trac/browser/trunk/thirds/otb2zcfg>`_ utility is required to activate the available OTB Applications as WPS services. This can be done using the following command: 
+The following commands will then generate all the needed zcfg files for the available SAGA-GIS Modules:
 
 .. code-block:: guess
-	
-	 mkdir build
-	 cd build
-	 ccmake ..
-	 make
-	
-Run the following command to generate all the needed zcfg files for the available OTB Application:
-
-.. code-block:: guess
-	
-	 mkdir zcfgs
-	 cd zcfgs
-	 export ITK_AUTOLOAD_PATH=/your/path/to/otb/applications
-	 ../build/otb2zcfg
-         mkdir /location/to/your/cgi-bin/OTB
-	 cp *zcfg /location/to/your/cgi-bin/OTB
-	
-.. warning 
-
-     The ITK_AUTOLOAD_PATH environment variable is required in the [env] section of your main.cfg.
-
-Test the ZOO SAGA support
-^^^^^^^^^^^^^^^^^^^^^^^
-
-Once done, OTB Applications should be listed as available WPS Services when runing a GetCapabilities request
-
-.. code-block:: guess 
-
-        http://localhost/cgi-bin/zoo_loader.cgi?request=GetCapabilities&service=WPS 
-
-Each OTB Service can then be described individually using the DescribeProcess request, as for example:
-
-.. code-block:: guess
-
-   http://localhost/cgi-bin/zoo_loader.cgi?request=DescribeProcess&service=WPS&version=1.0.0&Identifier=OTB.BandMath
-
-And executed according to your needs, as for the following example executing OTB.BandMath with the OTB sample data as input
-
-.. code-block:: guess
-
-   http://localhost/cgi-bin/zoo_loader.cgi?request=Execute&service=WPS&version=1.0.0&Identifier=OTB.BandMath&DataInputs=il=Reference@xlink:href=http://hg.orfeo-toolbox.org/OTB-Data/raw-file/ca154074b282/Examples/verySmallFSATSW.tif;il=Reference@xlink:href=http://hg.orfeo-toolbox.org/OTB-Data/raw-file/ca154074b282/Examples/verySmallFSATSW_nir.tif;out=float;exp=im1b3*cos%28im1b1%29,im1b2*cos%28im1b1%29,im1b1*cos%28im1b1%29&RawDataOutput=out@mimeType=image/png
-
-When executing OTB applications as WPS Services, it is also possible to check the OTB process status, using the usual ZOO GetStatus request.
+		
+    mkdir zcfgs
+    cd zcfgs
+    ../saga2zcfg
+    mkdir /location/to/your/cgi-bin/SAGA
+    cp *zcfg /location/to/your/cgi-bin/SAGA
 
 
+Test requests
+*****************
 
-    
+The SAGA-GIS Modules should be listed as available WPS Services when
+runing a GetCapabilities request, as follow:
+
+http://localhost/cgi-bin/zoo_loader.cgi?request=GetCapabilities&service=WPS
+
+Each SAGA-GIS Service can then be described individually using the DescribeProcess request, as for example:
+
+http://localhost/cgi-bin/zoo_loader.cgi?request=DescribeProcess&service=WPS&version=1.0.0&Identifier=SAGA.garden_fractals.1
+
+And executed according to your needs. The following example executes *SAGA.garden_fractals.1* with no optional parameter:
+
+http://localhost/cgi-bin/zoo_loader.cgi?request=Execute&service=WPS&version=1.0.0&Identifier=SAGA.garden_fractals.1&DataInputs=&ResponseDocument=RESULT@mimeType=application/json@asReference=true
+
+.. note::
+   
+  The common ZOO GetStatus requests also work when using the SAGA-GIS Modules as WPS Services.
 
 
 
 
-
-
Index: branches/PublicaMundi_David-devel/docs/kernel/what.rst
===================================================================
--- branches/PublicaMundi_David-devel/docs/kernel/what.rst	(revision 659)
+++ branches/PublicaMundi_David-devel/docs/kernel/what.rst	(revision 663)
@@ -19,10 +19,10 @@
 -----------------------
 
-ZOO-Kernel is an extensible WPS server that makes your system more powerful. It provides a full-featured processing engine which runs on Linux, Mac OSX |trade| and Windows |trade| operating systems. ZOO-Kernel works on common web servers (namely `Apache <http://httpd.apache.org/>`_ or `IIS <http://www.iis.net/>`_ |trade|) and can be seamlessly integrated to new or existing web platforms. 
+ZOO-Kernel is an extensible WPS server that makes your system more powerful. It provides a full-featured processing engine which runs on Linux, Mac OSX |trade| and Windows |trade| operating systems. ZOO-Kernel is a CGI program which works on common web servers (namely `Apache <http://httpd.apache.org/>`_ or `IIS <http://www.iis.net/>`_ |trade|). It can be seamlessly integrated to new or existing web platforms. 
 
 ZOO-Kernel lets you process geospatial or non geospatial data using well formed WPS requests. The WPS server is able to manage and chain WPS Services (see ZOO-Services for examples) by loading dynamic libraries and source code written in different programming languages.  
 
 Supported programming languages
-...............................
+........................................................
 
 ZOO-Kernel is a **polyglot**. The software is written in a valid form of multiple programming languages, which performs the same operations independent of the programming language used to compile or interpret it.