Index: branches/PublicaMundi_David-devel/docs/install/installation.rst
===================================================================
--- branches/PublicaMundi_David-devel/docs/install/install-installation.rst	(revision 659)
+++ branches/PublicaMundi_David-devel/docs/install/installation.rst	(revision 696)
@@ -2,8 +2,39 @@
 
 Installation on Unix/Linux
-=================
+==========================
+
+To build and install ZOO-Project on your Web Server you will need 4
+steps :
+
+ * build the cgic library,
+ * install the ZOO-Kernel,
+ * install the ZOO-Services,
+ * testing your installation.
+
+Build cgic
+----------
+
+Run the following commands from the ``thirds/cgic`` directory to build
+the cgic library.
+
+::
+
+   cd thirds/cgic
+   make
+
+The cgic library originaly come from `http://www.boutell.com/cgic
+<http://www.boutell.com/cgic>`_.
+
+.. warning:: 
+
+   You may need to edit the ``Makefile`` in case you are using a 64 bits
+   platform for building and your fcgi library is not located in ``/usr/lib64``.
+
+Install the ZOO-Kernel
+----------------------
+
 
 For the impatient
---------------
+.................
 
 Run the following commands from the directory where you :ref:`install-download` and extracted the ZOO Kernel source code in order to build the ``zoo_loader.cgi`` CGI program with default options.
@@ -11,299 +42,415 @@
 ::
 
-   cd zoo-kernel
+   cd zoo-project/zoo-kernel
    autoconf  
    ./configure
    make
-
-This should produce executables for the *zoo_loader.cgi* CGI program in the ``zoo-kernel`` directory. Copy the *zoo_loader.cgi* and *main.cfg* files to the HTTP server ``cgi`` directory and start using it.
+   make install
+
+This should produce executables for the *zoo_loader.cgi* CGI program
+(located per default in ``/usr/lib/cgi-bin/``) and a shared library
+``libzoo_service``  (located per default in ``/usr/local/lib``).
 
 .. warning:: 
 
-   Edit ZOO-Kernel installation settings in the *main.cfg* file (set ``tmpPath`` and ``tmpUrl`` to fit your web server configuration).
-
-Debian / Ubuntu
-----------------------
-
-Use the following instructions to install `ZOO-Project <http://zoo-project.org>`__ on Debian or Ubuntu distributions. 
-
-Prerequisites
-......................
-
-Using Debian
-**********************
-
-The following command should install all the required dependancies on Debian. See the :ref:`install-prereq` section for additional information.
-
-.. code-block:: guess
-
-   apt-get install flex bison libfcgi-dev libxml2 libxml2-dev curl openssl autoconf apache2 python-software-properties subversion python-dev libgdal1-dev build-essential libmozjs185-dev
-
-Using Ubuntu
-**********************
-
-On Ubuntu, use the following command first to install the required dependancies :
-
-.. code-block:: guess
-
-   sudo apt-get install flex bison libfcgi-dev libxml2 libxml2-dev curl openssl autoconf apache2 python-software-properties subversion libmozjs185-dev python-dev build-essential
-
-Then add the *UbuntuGIS* repository in order to get the latest versions of libraries
-
-.. code-block:: guess
-
-   sudo add-apt-repository ppa:ubuntugis/ppa
-   sudo apt-get update
-
-Install the geographic library as follow:
-
-.. code-block:: guess
-
-   sudo apt-get install libgdal1-dev
-
-
-Installation
-......................
-
-:ref:`install-download` ZOO-Project latest version from svn using the following command:
-
-.. code-block:: guess
-
-  svn checkout http://svn.zoo-project.org/svn/trunk zoo-project
-
-Install the *cgic* library from packages using the following command:
-
-.. code-block:: guess
-
-  cd zoo-project/thirds/cgic206/
-  make
-
-Head to the :ref:`kernel_index` directory
-
-.. code-block:: guess
-
-  cd ../../zoo-project/zoo-kernel/
-
-Create a configure file as follow:
-
-.. code-block:: guess
-
-  autoconf
-
-Run configure with the desired options, for example with the following command:
-
-.. code-block:: guess
-
-  ./configure --with-js --with-python
+   Edit ZOO-Kernel installation settings in the ``main.cfg`` file (set
+   ``tmpPath`` and ``tmpUrl`` to fit your web server configuration).
+
+
+Configure options
+.................
+
+This section provides information on :ref:`kernel_index` configure options. It is recommanded to also read the :ref:`kernel_config` section for configuration technical details.
+
+Here is the list of available options as returned by ``./configure --help`` command:
+
+.. list-table:: Configure Options
+   :header-rows: 1
+
+   * - Option
+     - Description
+   * - ``--with-cgi-dir=PATH``
+     - Specifies an alternative cgi directory path (default:
+       /usr/lib/cgi-bin)
+   * - ``--with-db-backend``
+     - Relies on a database for storing status messages and response
+       files
+   * - ``--with-yaml=PATH``
+     - Specifies an alternative location for the yaml library
+   * - ``--with-fastcgi=PATH``
+     - Specifies an alternative location for the fastcgi library
+   * - ``--with-gdal-config=FILE``
+     - Specifies an alternative gdal-config file
+   * - ``--with-xml2config=FILE``
+     - Specifies an alternative xml2-config file
+   * - ``--with-python=PATH``
+     - Enables python support or specifies an alternative directory
+       for python installation (disabled by default)
+   * - ``--with-pyvers=NUM``
+     - Uses a specific python version
+   * - ``--with-js=PATH`` 
+     - Enables javascript support, disabled by default
+   * - ``--with-php=PATH`` 
+     - Enables php support or specify an alternative directory for php
+       installation, disabled by default
+   * - ``--with-java=PATH``
+     - Enables java support or specifies a JDK_HOME, disabled by
+       default
+   * - ``--with-ruby=PATH``
+     - To enable ruby support or specify an alternative directory for
+       ruby installation, disabled by default
+   * - ``--with-rvers=NUM``
+     - To use a specific ruby version
+   * - ``--with-perl=PATH``
+     - Enables perl support or specifies an alternative directory for
+       perl installation, disabled by default
+   * - ``--with-mapserver=PATH``
+     - Specifies the path for MapServer compiled source tree
+   * - ``--with-itk=PATH`` 
+     - Specifies an alternative location for the ITK library
+   * - ``--with-itk-version=VERSION``
+     - Specifies an alternative version for the ITK library 
+   * - ``--with-otb=PATH``
+     - Enables optional OrfeoToolbox support
+   * - ``--with-wx-config=PATH``
+     - Specifies an alternative path for the wx-config tool
+   * - ``--with-saga=PATH``
+     - Enables optional SAGA GIS support 
+
+
+.. code ::
+
+  --with-cgi-dir=PATH     Specifies an alternative cgi directory path (
+                          default: /usr/lib/cgi-bin)
+  --with-db-backend       Relies on a database for storing status messages and
+                          response files
+  --with-yaml=PATH        Specifies an alternative location for the yaml
+                          library
+  --with-fastcgi=PATH     Specifies an alternative location for the fastcgi
+                          library
+  --with-xml2config=FILE  Specifies an alternative xml2-config file
+  --with-xsltconfig=FILE  Specifies an alternative xslt-config file
+  --with-gdal-config=FILE Specifies an alternative gdal-config file
+  --with-proj=PATH        Specifies an alternative location for PROJ4 setup
+  --with-geosconfig=FILE  Specifies an alternative geos-config file
+  --with-cgal=PATH        Specifies an alternative location for CGAL setup
+  --with-mapserver=PATH   Specifies the path for MapServer compiled source
+                          tree
+  --with-python=PATH      To enable python support or Specifies an alternative
+                          directory for python installation, disabled by
+                          default
+  --with-pyvers=NUM       To use a specific python version
+  --with-js=PATH          Specifies --with-js=path-to-js to enable js support,
+                          specify --with-js on linux debian like, js support
+                          is disabled by default
+  --with-php=PATH         To enable php support or specify an alternative
+                          directory for php installation, disabled by default
+  --with-java=PATH        To enable java support, specify a JDK_HOME, disabled
+                          by default
+  --with-ruby=PATH        To enable ruby support or specify an alternative
+                          directory for ruby installation, disabled by default
+  --with-rvers=NUM        To use a specific ruby version
+  --with-perl=PATH        To enable perl support or specify an alternative
+                          directory for perl installation, disabled by default
+  --with-itk=PATH         Specifies an alternative location for the itk
+                          library
+  --with-itk-version=VERSION
+                          Specifies an alternative version for the itk library
+  --with-otb=PATH         Specifies an alternative location for the otb
+                          library
+  --with-wx-config=PATH   Specifies an alternative path for the wx-config tool
+  --with-saga=PATH        Specifies an alternative location for the SAGA-GIS
+                          library
+
+
+
+
+::
+
+  --with-cgi-dir=PATH     Specifies an alternative cgi directory path (default: /usr/lib/cgi-bin)
+  --with-db-backend       Relies on a database for storing status messages and response files
+  --with-yaml=PATH        Specifies an alternative location for the yaml library
+  --with-fastcgi=PATH     Specifies an alternative location for the fastcgi library
+  --with-gdal-config=FILE Specifies an alternative gdal-config file
+  --with-xml2config=FILE  Specifies an alternative xml2-config file
+  --with-python=PATH      Enables python support or specifies an alternative directory for python installation (disabled by default)
+  --with-pyvers=NUM       Uses a specific python version
+  --with-js=PATH          Enables javascript support, disabled by default
+  --with-php=PATH         Enables php support or specify an alternative directory for php installation, disabled by default
+  --with-java=PATH        Enables java support or specifies a JDK_HOME, disabled by default
+  --with-ruby=PATH        To enable ruby support or specify an alternative directory for ruby installation, disabled by default
+  --with-rvers=NUM        To use a specific ruby version
+  --with-perl=PATH        Enables perl support or specifies an alternative directory for perl installation, disabled by default
+  --with-mapserver=PATH   Specifies the path for MapServer compiled source tree
+  --with-itk=PATH          Specifies an alternative location for the ITK library
+  --with-itk-version=VERSION          Specifies an alternative version for the ITK library     
+  --with-otb=PATH         Enables optional OrfeoToolbox support
+  --with-wx-config=PATH   Specifies an alternative path for the wx-config tool
+  --with-saga=PATH        Enables optional SAGA GIS support 
+
+All the options are described in more details in the following sections.
+
+GDAL Support (Required) 
+........................
+
+If gdal-config program is not found in your ``PATH``, a
+``--with-gdal-config`` option can be used to specify its location. For
+instance, if ``gdal-config`` lies in ``/usr/local/bin`` which is not in
+your PATH, you may use the following command:
+
+::
+
+  $ ./configure --with-gdal-config=/usr/local/bin/gdal-config
+
+XML2 Support (Required) 
+........................
+
+If xml2-config program is not found in PATH, a *--with-xml2config* option can be used  to specify its location. For instance, if xml2-config is installed in ``/usr/local/bin`` which is not in PATH, you may use the following command:
+
+::
+
+  $ ./configure --with-xml2config=/usr/local/bin/xml2-config
+
+
+Python Support (Optional) 
+..............................................
+
+The ``--with-python=yes`` option is required to activate the :ref:`kernel_index` Python support, using the following command:
+
+::
+
+  $ ./configure --with-python=yes
+
+This assumes that python-config is found in your ``PATH``. If not,
+then you can specify the Python installation directory using the
+following command (with Python installed in the ``/usr/local``
+directory):
+
+::
+
+  $ ./configure --with-python=/usr/local
+
+
+Python Version
+**************
+
+If multiple Python versions are available and you want to use a
+specific one, then you can use the ``--with-pyvers`` option as shown
+bellow:
+
+::
+
+  $ ./configure --with-pyvers=2.7
+
+
+PHP Support (Optional) 
+..............................................
+
+The ``--with-php=yes`` option is required to activate the
+:ref:`kernel_index` PHP support`, using the following command:
+
+::
+
+  $ ./configure --with-php=yes
+
+This assumes that ``php-config`` can be found in the ``<PATH>/bin``
+directory . So, supposing the your ``php-config`` can be found in
+``/usr/local/bin``, then use the following command:
+
+::
+
+  $ ./configure --with-php=/usr/local
+
+.. warning::
+    ZOO-Kernel optional PHP support requires a local PHP Embedded installation. Read more `here <http://zoo-project.org/trac/wiki/ZooKernel/Embed/PHP>`__.
+
+
+Perl Support (Optional) 
+..............................................
+
+The ``--with-perl=yes`` option can be used for activating the
+ZOO-Kernel Perl support, as follow:
+
+::
+
+  $ ./configure --with-perl=yes
+
+This assumes that perl is found in your PATH. For instance, if Perl is
+installed in ``/usr/local`` and ``/usr/local/bin`` is not found in
+your ``PATH``, then the following command can be used (this assumes
+that ``/usr/local/bin/perl`` exists):
+
+::
+
+  $ ./configure --with-perl=/usr/local
+
+
+Java Support (Optional) 
+..............................................
+
+In order to activate the Java support for ZOO-Kernel, the
+`--with-java` configure option must be specified and sets the
+installation path of your Java SDK. For instance,  if Java SDK is
+installed in the ``/usr/lib/jvm/java-6-sun-1.6.0.22/`` directory,
+then the following command can be used:
+
+::
+
+  $ ./configure --with-java=/usr/lib/jvm/java-6-sun-1.6.0.22/
+
+This assumes that the ``include/linux`` and ``jre/lib/i386/client/``
+subdirectories exist in ``/usr/lib/jvm/java-6-sun-1.6.0.22/``, and
+that the ``include/linux`` directory contains the ``jni.h`` headers file
+and that the ``jre/lib/i386/client/`` directory contains the ``libjvm.so``
+file.
+
+
+.. note:: 
+   With Mac OS X you only have to set *macos* as the value for the
+   ``--with-java`` option to activate Java support. For example:
+
+   ::
+
+     $ ./configure --with-java=macos
+
+.. _js-support:
+
+JavaScript Support (Optional) 
+..............................................
+
+In order to activate the JavaScript support for ZOO-Kernel,
+the ``--with-js=yes`` configure option must be specified. If you are using
+a "Debian-like" GNU/Linux distribution then  dpkg will be used to
+detect if the required packages are installed and you don't have to
+specify anything here. The following command is only needed (assuming
+that js_api.h and libmozjs.so are found in default directories):
+
+
+::
+
+  $ ./configure --with-js=yes
+
+If you want to use a custom installation of `SpiderMonkey
+<https://developer.mozilla.org/en/SpiderMonkey>`__ , or if you are not
+using a Debian packaging  system, then you'll have to specify the
+directory where it is installed. For  instance, if SpiderMonkey is in
+``/usr/local/``, then the following command must be used:
+
+::
+
+  $ ./configure --with-js=/usr/local
+
+
+MapServer Support (Optional) 
+..............................................
+
+
+In order to activate the WMS, WFS and WCS output support using
+MapServer, the ``--with-mapserver`` option must be used. The path to
+``mapserver-config`` which is located in the source code of MapServer
+must also be set, using the following command:
+
+::
+
+  $ ./configure --with-mapserver=/path/to/your/mapserver_config/
+
+
+Read more about the :ref:`kernel-mapserver`.
+
+
+Orfeo Toolbox Support (Optional) 
+.....................................................
+
+In order to activate the optional Orfeo Toolbox support, the
+``--with-otb`` option must be used, using the following command:
+
+::
+
+  $ ./configure --with-otb=/path/to/your/otb/
+
+
+Read more about the :ref:`kernel-orfeotoolbox`.
+
+.. warning::
+    To build the Orfeo Toolbox support you will require ITK, the
+    default version of ITK is 4.5, in case you use another version,
+    please make sure to use the ``--with-itk-version`` to specificy
+    what is the version available on your system.
+
+SAGA GIS Support (Optional) 
+.....................................................
+
+
+In order to activate the optional SAGA GIS support, the *--with-saga* option must be used, using the following command:
+
+::
+
+  $ ./configure --with-saga=/path/to/your/saga/
+
+
+Read more about the :ref:`kernel-sagagis`.
+
+.. warning::
+    In case wx-config is not in your ``PATH`` please, make sure to use
+    the ``--with-wx-config``  to specify its location.
+
+Install ZOO-Services
+--------------------
+
+.. warning::
+    We present here a global installation procedure for basics
+    ZOO-Services, for details about automatic installation of services
+    provided by :ref:`kernel-orfeotoolbox` or :ref:`kernel-sagagis`,
+    please refer to there specific documentations.
+
+Depending on the programming language used to implement the
+ZOO-Services you want to install, you will need to build a
+Services Provider. In the case of *C* and *Fotran*, you would create a
+shared library exporting the functions corresponding to all the
+ZOO-Services provided by this Services Provider. In case of *Java*,
+you will need to build a Java Class. In any other programming
+language, you should simply have to install the ServiceProvider and
+the zcfg files.
+
+If building a Shared library or a Java class is required, then you
+should find a ``Makefile`` in the service directory which is
+responsible to help you build this Services Provider. So you should
+simply run the `make` command from the Service directory to generate
+the required file.
+
+Then you simply need to copy the content of the ``cgi-env`` directory
+in ``cgi-bin``.
+
+To install the ``ogr/base-vect-ops`` Services Provider, supposing that
+your ``cgi-bin`` directory is ``/usr/local/lib`` use the following
+commands:
+
+.. code::
+
+    cd zoo-project/zoo-services/ogr/base-vect-ops
+    make
+    cp cgi-env/*.* /usr/lib/cgi-bin
 
 .. note::
-   Refer to the :ref:`install-configure` section for the full list of available options
-
-Compile ZOO-Kernel as follow:
-
-.. code-block:: guess
-
-  make
-
-Copy the necessary files to the `cgi-bin` directory (as administrator user)
-
-.. code-block:: guess
-
-  cp main.cfg /usr/lib/cgi-bin
-  cp zoo_loader.cgi /usr/lib/cgi-bin
-
-Install ZOO ServiceProviders, for example the basic Python service (as administrator user)
-
-.. code-block:: guess
-
-  cp ../zoo-services/hello-py/cgi-env/*.zcfg /usr/lib/cgi-bin
-  cp ../zoo-services/hello-py/*.py /usr/lib/cgi-bin/
-
-Edit the *main.cfg* file as follow (example configuration):
-
-.. code-block:: guess
-
-  nano /usr/lib/cgi-bin/main.cfg
-  - serverAddress = http://127.0.0.1
-
-
-Test the ZOO-Kernel installation with the following requests:
-
-.. code-block:: guess
-
-   http://127.0.0.1/cgi-bin/zoo_loader.cgi?ServiceProvider=&metapath=&Service=WPS&Request=GetCapabilities&Version=1.0.0
-
-.. code-block:: guess
-
-   http://127.0.0.1/cgi-bin/zoo_loader.cgi?ServiceProvider=&metapath=&Service=WPS&Request=DescribeProcess&Version=1.0.0&Identifier=HelloPy
-
-.. code-block:: guess
-
-   http://127.0.0.1/cgi-bin/zoo_loader.cgi?ServiceProvider=&metapath=&Service=WPS&Request=Execute&Version=1.0.0&Identifier=HelloPy&DataInputs=a=myname
-
-
-.. note:: 
-
-   Such request should return well formed XML documents (OWS documents responses).
-
-.. warning:: 
-
-   If ZOO-Kernel returns an error please check the :ref:`kernel_config` and beware of the :ref:`install-prereq`.
-
-
-OpenSUSE
-----------------------
-
-:ref:`kernel_index` is maintained as a package in `OpenSUSE Build Service (OBS) <https://build.opensuse.org/package/show?package=zoo-kernel&project=Application%3AGeo>`__. RPM are thus provided for all versions of OpenSUSE Linux (11.2, 11.3, 11.4, Factory).
-
-Stable release
-......................
-
-Use the following instructions to install ZOO-Project latetst release on OpenSUSE distribution.
-
-One-click installer
-*******************
-
-A one-click installer is available `here <http://software.opensuse.org/search?q=zoo-kernel&baseproject=openSUSE%3A11.4&lang=en&exclude_debug=true>`__. 
-For openSUSE 11.4, follow this direct `link <http://software.opensuse.org/ymp/Application:Geo/openSUSE_11.4/zoo-kernel.ymp?base=openSUSE%3A11.4&query=zoo-kernel>`__.
-
-Yast software manager
-*********************
-
-Add the `Application:Geo <http://download.opensuse.org/repositories/Application:/Geo/>`__ repository to the software repositories and then ZOO-Kernel can then be found in Software Management using the provided search tool.
-
-Command line (as root for openSUSE 11.4)
-****************************************
-
-Install ZOO-Kernel package by yourself using the following command:
-
-.. code-block:: guess
-
-  zypper ar http://download.opensuse.org/repositories/Application:/Geo/openSUSE_11.4/
-  zypper refresh
-  zypper install zoo-kernel
-
-Developement version
-......................
-
-The latest development version of ZOO-Kernel can be found in OBS under the project `home:tzotsos <https://build.opensuse.org/project/show?project=home%3Atzotsos>`__. ZOO-Kernel packages are maintained and tested there before being released to the Application:Geo repository. Installation methods are identical as for the stable version. Make sure to use `this <http://download.opensuse.org/repositories/home:/tzotsos/>`__ repository instead.
-
-Command line (as root for openSUSE 11.4)
-********************************************
-
-Install latest ZOO-Kernel trunk version with the following command:
-
-.. code-block:: guess
-
-  zypper ar http://download.opensuse.org/repositories/home:/tzotsos/openSUSE_11.4/
-  zypper refresh
-  zypper install zoo-kernel
-  zypper install zoo-kernel-grass-bridge
-
-Note that there is the option of adding the zoo-wps-grass-bridge package. This option will automatically install grass7 (svn trunk).
-
-
-CentOS
-----------------------
-
-Use the following instructions to install `ZOO-Project <http://zoo-project.org>`__ on CentOS distributions. 
-
-Prerequisites
-......................
-
-.. code-block:: guess
-
-  yum install apache2
-  yum install build-essentials
-  yum install gcc-c++
-  yum install zlib-devel
-  yum install libxml2-devel
-  yum install bison
-  yum install openssl 
-  yum install python-devel
-  yum install subversion
-
-
-Compile then install FastCGI library from source
-
-::
-
-  wget http://www.fastcgi.com/dist/fcgi.tar.gz
-  tar xzf fcgi-2.4.0.tar.gz 
-  ./configure
-  make
-  make install
-  echo /usr/local/lib >> /etc/ld.so.conf.d/local.conf
-  ldconfig
-
-Compile then install the autoconf tools :
-
-::
-
-  wget http://ftp.gnu.org/gnu/autoconf/autoconf-latest.tar.gz
-  tar xzf autoconf-latest.tar.gz
-  ./configure --prefix=/usr
-  make 
-  make install
-
-Compile then install the flex tool :
-
-::
-
-  wget http://downloads.sourceforge.net/project/flex/flex/flex-2.5.35/flex-2.5.35.tar.gz?r=http%3A%2F%2Fflex.sourceforge.net%2F&ts=1292529005&use_mirror=switch
-  tar xzf flex-2.5.35.tar.gz
-  cd flex-2.5.35
-  ./configure --prefix=/usr
-  make
-  make install
-
-Using the curl provided in the CentOS distribution will produce a ZOO-Kernel unable to run any 
-Service. Indeed, some segmentation faults occur when trying to run ``Execute`` requests on the ZOO-Kernel, 
-compiling the ZOO-Kernel setting ``USE_GDB`` flag in the ``CFLAGS`` of your ``Makefile`` will let you run 
-ZOO-Kernel from gdb and be able to get more information on what is going wrong with your ZOO-Kernel. 
-Doing this we can figure out that code on `line 173 <http://zoo-project.org/trac/browser/trunk/zoo-kernel/ulinet.c#L173>`__ 
-and `line 175 <http://zoo-project.org/trac/browser/trunk/zoo-kernel/ulinet.c#L175>`__ have to be commented in the 
-``ulinet.c`` file to get a ZOO-Kernel working using the curl available in CentOS (curl version 7.15.5). 
-If you don't apply the modification, you will get an error from a gdb session pointing 
-segfault in ``Curl_cookie_clearall``.
-
-You can optionally compile then install curl from source :
-
-::
-
-  wget http://curl.haxx.se/download/curl-7.21.3.tar.bz2
-  tar xjf curl-7.21.3.tar.bz2
-  cd curl-7.21.3
-  ./configure --prefix=/usr
-  make
-  make install
-
-Compile then install Python :
-
-::
- 
-  wget http://www.python.org/ftp/python/2.6.6/Python-2.6.6.tar.bz2
-  tar xjf Python-2.6.6.tar.bz2
-  cd Python-2.6.6
-  ./configure
-  make
-  make install
-
-Compile then install your own GDAL library :
-
-::
-
-  wget http://download.osgeo.org/gdal/gdal-1.7.3.tar.gz
-  tar xzf gdal-1.7.3.tar.gz
-  cd gdal-1.7.3
-  ./configure  # add your options here
-  make
-  make install
-
-Install the Sun JAVA SDK into ``/usr/share`` then use the following command to ensure that the ``libjvm.so`` 
-will be found at runtime from any context.
-
-::
-
-  echo /usr/share/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/client/ >> /etc/ld.so.conf.d/jvm.conf
-  ldconfig
-  
+    You may also run ``make install`` directly after ``make``.
+
+
+To install the hello-py Services Provider, use the following commands:
+
+.. code::
+
+    cd zoo-project/zoo-services/hello-py/
+    cp cgi-env/* /usr/lib/cgi-bin
+
+
+Testing your installation
+-------------------------
+
+To test your installation yous should first be able to run the
+following command from the ``cgi-bin`` directory:
+
+.. code::
+
+    ./zoo_loader.cgi "request=GetCapabilities&service=WPS"
+
+