Index: branches/PublicaMundi_David-devel/docs/intro.rst
===================================================================
--- branches/PublicaMundi_David-devel/docs/intro.rst	(revision 696)
+++ branches/PublicaMundi_David-devel/docs/intro.rst	(revision 697)
@@ -9,5 +9,5 @@
 -------------------
 
-`ZOO-Project <http://zoo-project.org>`__  is a WPS (Web Processing Service) implementation written in C, Python and JavaScript. It is an open source platform which implements the `WPS 1.0.0 <http://www.opengeospatial.org/standards/wps/>`_ and  `WPS 2.0.0 <http://www.opengeospatial.org/standards/wps/>`_ standards edited by the `OGC <http://www.opengeospatial.org/>`__ (Open Geospatial Consortium).
+`ZOO-Project <http://zoo-project.org>`__  is a WPS (Web Processing Service) implementation written in C, Python and JavaScript. It is an open source platform which implements the `WPS 1.0.0 <http://www.opengeospatial.org/standards/wps/>`_ and  `WPS 2.0.0 <http://www.opengeospatial.org/standards/wps/>`_ standards edited by the `Open Geospatial Consortium <http://www.opengeospatial.org/>`__ (OGC).
 
 `ZOO-Project <http://zoo-project.org>`__ provides a developer-friendly framework for creating and chaining WPS compliant Web Services. Its main goal is to provide generic and standard-compliant methods for using existing open source librairies and algorithms as WPS. It also offers efficient tools for creating new innovative web services and applications.
Index: branches/PublicaMundi_David-devel/docs/kernel/configuration.rst
===================================================================
--- branches/PublicaMundi_David-devel/docs/kernel/configuration.rst	(revision 696)
+++ branches/PublicaMundi_David-devel/docs/kernel/configuration.rst	(revision 697)
@@ -180,21 +180,23 @@
 ...............................
 
-[database]
-dbname=zoo_project
-port=5432
-user=username
-host=127.0.0.1
-type=PG
-schema=public
-
+The database section allows to configure the ZOO-Kernel optional
+databse support.
+
+.. code-block:: guess
+
+	[database]
+	dbname=zoo_project
+	port=5432
+	user=username
+	host=127.0.0.1
+	type=PG
+	schema=public
 
 
 .. rubric:: Footnotes
 
-.. [#f1] If GET requests are passed through ``xlink:href`` to
-	 the ZOO-Kernel , the latter will execute the request the first time and store the result  on disk. The next time the same request is executed, the cached file will be used and this will make your process run much faster. If ``cachedir`` was not specified in the ``main.cfg`` then the ``tmpPath`` value will be used.
+.. [#f1] If GET requests are passed through ``xlink:href`` to the ZOO-Kernel , the latter will execute the request the first time and store the result  on disk. The next time the same request is executed, the cached file will be used and this will make your process run much faster. If ``cachedir`` was not specified in the ``main.cfg`` then the ``tmpPath`` value will be used.
 .. [#f2] Usefull when the :ref:`kernel-mapserver` is activated (available since ZOO-Project version 1.3.0).
-.. [#f3] ZOO-Kernel and MapServer are sharing the same metadata for
-	 OGC Web Services if the :ref:`kernel-mapserver` is activated.
+.. [#f3] ZOO-Kernel and MapServer are sharing the same metadata for OGC Web Services if the :ref:`kernel-mapserver` is activated.
 
    
Index: branches/PublicaMundi_David-devel/docs/kernel/what.rst
===================================================================
--- branches/PublicaMundi_David-devel/docs/kernel/what.rst	(revision 696)
+++ branches/PublicaMundi_David-devel/docs/kernel/what.rst	(revision 697)
@@ -26,5 +26,9 @@
 * **Execute**:  Launches computation and returns the output produced by a particular process.
 
-ZOO-Kernel compliancy can be tested using tools such as the WPS Test Suite provided by the `OGC compliancy program <http://cite.opengeospatial.org/>`_ or `XMLint <http://xmlsoft.org/xmllint.html/>`_.
+ZOO-Kernel compliancy and performances can be tested using the
+following tools:
+ * `cptesting <https://github.com/WPS-Benchmarking/cptesting>`_ 
+ * WPS Test Suite provided by the `OGC compliancy program <http://cite.opengeospatial.org/>`_
+ * XML responses validity can also be simply tested using `XMLint <http://xmlsoft.org/xmllint.html/>`_.
 
 Polyglot
@@ -63,5 +67,4 @@
 input/output.
 
-...
-.
 
+