Index: branches/PublicaMundi_David-devel/docs/contribute/contributors.rst
===================================================================
--- branches/PublicaMundi_David-devel/docs/contribute/contributors.rst	(revision 699)
+++ branches/PublicaMundi_David-devel/docs/contribute/contributors.rst	(revision 700)
@@ -13,4 +13,30 @@
    * Venkatesh RAGHAVAN (aka venka)
 
+ZOO Project Steering Comitee
+----------------------------
+
+The ZOO Project Steering Comitee is responsible to manage the project
+which is maintained, improved, and supported by a small but growing
+developer community. The PSC is composed of the following people (by
+alphabetical order):
+
+    * Nicolas BOZON (`GeoLabs SARL <http://geolabs.fr>`_), FR
+    * Maria Antonia BROVELLI (`Politecnico di Milano
+      <http://www.polimi.it>`_), IT
+    * Massimiliano CANNATA (`SUPSI <http://www.ist.supsi.ch/>`_), CH
+    * Gérald FENOY (`GeoLabs <http://www.geolabs.fr/>`_), FR **(Chair)**
+    * Hirofumi HAYASHI (`AppTech <http://www.apptec.co.jp/>`_), JP
+    * Daniel KASTL (`Georepublic <http://georepublic.de/en/>`_), DE
+    * Jeff McKENNA (`Gateway Geomatics
+      <http://www.gatewaygeomatics.com/>`_), CA
+    * Markus NETELER (`Fondazione Edmund Mach
+      <http://gis.fem-environment.eu/>`_), IT
+    * Venkatesh RAGHAVAN (`Osaka City University
+      <http://www.osaka-cu.ac.jp/index-e.html>`_), JP
+    * Angelos TZOTSOS (`National Technical University of Athens
+      <http://users.ntua.gr/tzotsos/>`_), GR
+
+
+
 ZOO-Project Commiters
 ---------------------
@@ -24,5 +50,5 @@
    * Luca DELUCCHI (aka lucadelu)
    * René-Luc D'HONT  (aka reluc)
-   * Gérald FENOY (aka djay)
+   * Gérald FENOY (aka djay) **Admin**
    * Knut LANDMARK (aka knut)
    * Jeff MCKENNA (aka jmckenna)
@@ -39,5 +65,4 @@
 
    * Thomas GRATIER 
-   * Hirofumi HAYASHI
    * Guillaume SUEUR
    * Daisuke YOSHIDA
Index: branches/PublicaMundi_David-devel/docs/contribute/release.rst
===================================================================
--- branches/PublicaMundi_David-devel/docs/contribute/release.rst	(revision 699)
+++ branches/PublicaMundi_David-devel/docs/contribute/release.rst	(revision 700)
@@ -1,84 +1,62 @@
-   .. _contribute_release:
+.. _contribute_release:
 
-Release procedure
-================================
+Release Procedure
+=================
 
-General rules
-------------------
+ * Any ZOO-Project commiter can ask for a release by asking the ZOO-Project PSC and pointing a release manager. This last will then vote for accepting both the manager and the release procedure to happen.
+ * If not already created, create  a wiki page (like this `this one <http://zoo-project.org/trac/wiki/Release/1.3.0/Notes>`_ using this scheme: Release/M.m.r/Notes), summarizing changes from the previous release (extracted from the `revision log <http://zoo-project.org/trac/browser/trunk/zoo-project/HISTORY.txt>`_).
+ * That file should include new features, changed features, and deprecated features if any. Changes to the official documentation should be specifically noted along with other items that will cause breaking changes during upgrades. 
+ * Read the documentation and remove outdated parts.
+ * Create release candidate as .zip and .tar.bz2  then add them on this `page <http://zoo-project.org/site/Downloads>`_ (by editing this `wiki page <http://zoo-project.org/trac/wiki/Download>`_)
+ * Cut a release candidate once you think that everything is in order. Announce the release candidate for review for at least 1 week. In this period of time, it is also appropriate for you to deploy in production since you are asserting that it is stable and (significant) bug free. Publish a specific revision with this.
+ * If significant bugs are reported, fix and cut a new release candidate. If no major bugs, then announce that the release candidate has officially been promoted to the official release (if you want, you can do this with a motion and support of the PSC).
+ * Ensure that release exactly matches something in SVN. Tag and branch appropriately.
+ * Update documentation as needed.
+ * Announce on various email list and other locations (news_item@osgeo.org, SlashGeo, etc)
 
-The ZOO-Project release procedure is commonly defined by the following rules:
-
-   * Any ZOO-Project commiter can ask for a release by asking the ZOO-Project PSC and pointing a release manager. This last will then vote for accepting both the manager and the release procedure to happen.
-   * It is first needed to create a wiki page summarizing the changes from the previous release (extracted from the revision log file called
-   `HISTORY <http://zoo-project.org/trac/browser/trunk/zoo-project/HISTORY.txt>`__ ).
-   * That wiki page should include new features, changed features, and
-     deprecated features if any. Changes to the official documentation
-     should be specifically noted along with other items that will
-     cause breaking changes during upgrades.
-   * Read the documentation and remove outdated parts.
-   * Compress the release candidate source code in .zip and .tar.bz2
-     formats, and then add them to the `Download
-     <http://zoo-project.org/Download>`__ section of the ZOO-Project
-     website.
-   * Cut a release candidate once you think that everything is in
-     order. Announce the release candidate for review for a duration
-     of at least 1 week. During this time, it is also appropriate to
-     deploy the release candidate in production since you are
-     asserting that it is stable and (significant) bug free. Publish a
-     specific revision with this.
-   * If significant bugs are reported, fix and cut a new release
-     candidate. If no major bugs, then announce that the release
-     candidate has officially been promoted to the official release
-     (This can optionally done with a motion and support of the
-     PSC).
-   * Ensure that release exactly matches something in SVN. Tag and branch appropriately.
-   * Update documentation as needed.
-   * Announce the release on the zoo-discuss list and various media
-
-Creating an official release
----------------------
+Creating an Official Release
+----------------------------
 
 Release versions lead to an update in documentation and standard tarballs. This is to help future administrators repeatably create releases.
 
-  * Double check that the pages from  the ZOO-Project.org web site match the current version.
-  * Double check that the latest build file matches the current revisions number.
-  * If this is a new major release create a branch and a tag, as shown
-    bellow:
-    
-    ::
- 
-      cd zoo-project-svn/
-      svn cp trunk branches/branch-1.6
-      svn cp trunk tags/rel-1.6.0
+* Double check that the pages from `the ZOO-Project.org web site <http://zoo-project.org/>`_ match the current version.
+* Double check that the latest build file matches the current revisions number.
+* If this is a new major release create a branch and a tag.
 
-  * If this is a major or minor relase, create a tag, as follow:
+.. code::
 
-    ::
-       
-      svn cp branches/branch-1.6 tags/rel-1.6.1
-      
-  * Commit the tags or branches with the version numbers.
-    
-     ::
-       
-       svn commit -m 'Created branch/tags for the X.Y.Z release'
+    cd zoo-project-svn/
+    svn cp trunk branches/branch-1.6
+    svn cp trunk tags/rel-1.6.0
 
-   * Create version archives
-     
-     ::
-       
-       export VERSION=2.6.0
-       cd zoo-propject-svn
-       cp -r trunk zoo-project-$VERSION
-       cd zoo-project-$VERSION
-       rm -rf $(find ./ -name ".svn") 
-       cd zoo-project/zoo-kernel
-       autoconf
-       cd ../../..
-       # Remove documentation from the archive
-       rm -rf ./zoo-project-$VERSION/docs
-       tar -cvjf ./zoo-project-$VERSION.tar.bz2 ./zoo-project-$VERSION
-       zip -r ./zoo-project-$VERSION.zip ./zoo-project-$VERSION
-       scp -P 1046 ./zoo-project-$VERSION.{zip,tar.bz2} zoo-project.org:/var/www/localhost/htdocs/dl/
+* If this is a major or minor relase, create a tag.
 
-   * Update the `Download <http://zoo-project.org/Download>`__ section to add and link to the latest release.
+.. code::
+
+    svn cp branches/branch-1.6 tags/rel-1.6.1
+
+* Commit the tags or branches with the version numbers.
+
+.. code::
+
+    svn commit -m 'Created branch/tags for the X.Y.Z release'
+
+* Create version archives
+
+.. code::
+
+    export VERSION=2.6.0
+    cd zoo-propject-svn
+    cp -r trunk zoo-project-$VERSION
+    cd zoo-project-$VERSION
+    rm -rf $(find ./ -name ".svn") 
+    cd zoo-project/zoo-kernel
+    autoconf
+    cd ../../..
+    # Remove documentation from the archive
+    rm -rf ./zoo-project-$VERSION/docs
+    tar -cvjf ./zoo-project-$VERSION.tar.bz2 ./zoo-project-$VERSION
+    zip -r ./zoo-project-$VERSION.zip ./zoo-project-$VERSION
+    scp -P 1046 ./zoo-project-$VERSION.{zip,tar.bz2} zoo-project.org:/var/www/localhost/htdocs/dl/
+
+* Update the `Downloads page <http://zoo-project.org/site/Downloads>`_ to add the latest release (by editing `this wiki page <http://zoo-project.org/trac/wiki/Downloads>`_).