Index: branches/PublicaMundi_David-devel/docs/install/installation.rst
===================================================================
--- branches/PublicaMundi_David-devel/docs/install/installation.rst	(revision 710)
+++ branches/PublicaMundi_David-devel/docs/install/installation.rst	(revision 711)
@@ -212,4 +212,6 @@
   $ ./configure --with-xml2config=/usr/local/bin/xml2-config
 
+.. _zoo_install_db_backend:
+
 Use a Database Backend (Optional) 
 ..................................
Index: branches/PublicaMundi_David-devel/docs/install/prerequisites.rst
===================================================================
--- branches/PublicaMundi_David-devel/docs/install/prerequisites.rst	(revision 710)
+++ branches/PublicaMundi_David-devel/docs/install/prerequisites.rst	(revision 711)
@@ -9,9 +9,14 @@
 The following libraries are required to install :ref:`kernel_index`. Please make sure they are available on your system before anything else.
 
-- autoconf (`http://www.gnu.org/software/autoconf/ <http://www.gnu.org/software/autoconf/>`_)
-- gettext (`https://www.gnu.org/software/gettext/ <https://www.gnu.org/software/gettext/>`_ )
+- autoconf (`http://www.gnu.org/software/autoconf/
+  <http://www.gnu.org/software/autoconf/>`_)
+- gettext (`https://www.gnu.org/software/gettext/
+  <https://www.gnu.org/software/gettext/>`_ )
 - cURL (`http://curl.haxx.se <http://curl.haxx.se>`_ )
 - FastCGI (`http://www.fastcgi.com <http://www.fastcgi.com>`_ )
-- Flex & Bison (`http://flex.sourceforge.net/ <http://flex.sourceforge.net/>`_ | `http://www.gnu.org/software/bison/ <http://www.gnu.org/software/bison/>`_ )
+- Flex & Bison (`http://flex.sourceforge.net/
+  <http://flex.sourceforge.net/>`_ |
+  `http://www.gnu.org/software/bison/
+  <http://www.gnu.org/software/bison/>`_ )
 - libxml2 (  http://xmlsoft.org )
 - OpenSSL (  http://www.openssl.org )
@@ -19,5 +24,6 @@
 
  .. warning::
-    It is mandatory to install every library listed above before compiling and installing ZOO-Kernel
+    It is mandatory to install every library listed above before
+    compiling and installing ZOO-Kernel
 
 Optional
@@ -26,12 +32,18 @@
 You may also consider the following optional libraries:
 
-- MapServer (for ZOO-Kernel optional WMS, WFS and WCS support) (http://mapserver.org)
+- MapServer (for ZOO-Kernel optional WMS, WFS and WCS support)
+  ( http://mapserver.org )
 - Python (  http://www.python.org )
-- PHP Embedded (for ZOO-Kernel optional PHP support) (http://www.php.net)
-- Java SDK (for ZOO-Kernel optional Java support) (http://java.sun.com)
-- SpiderMonkey (for ZOO-Kernel optional Javascript support) (http://www.mozilla.org/js/spidermonkey/)
-- SAGA GIS (for ZOO-Kernel optional SAGA support)(http://www.saga-gis.org/en/index.html/)
-- OrfeoToolbox (for ZOO-Kernel optional OTB support) (https://www.orfeo-toolbox.org/)
-- Insight Segmentation and Registration Toolkit  (http://itk.org/ITK/resources/software.html/>)
-- GRASS GIS (for using it through WPSGrassBridge) (http://grass.osgeo.org)
-
+- PHP Embedded (for ZOO-Kernel optional PHP support)
+  ( http://www.php.net )
+- Java SDK (for ZOO-Kernel optional Java support) (
+  http://java.sun.com )
+- SpiderMonkey (for ZOO-Kernel optional Javascript support) (
+  http://www.mozilla.org/js/spidermonkey/ )
+- SAGA GIS (for ZOO-Kernel optional SAGA support) (
+  http://www.saga-gis.org/en/index.html/ )
+- OrfeoToolbox (for ZOO-Kernel optional OTB support) (
+  https://www.orfeo-toolbox.org/ )
+- GRASS GIS (for using it through WPSGrassBridge) (
+  http://grass.osgeo.org )
+- PostgreSQL support activated in GDAL to :ref:`zoo_install_db_backend`
Index: branches/PublicaMundi_David-devel/docs/kernel/what.rst
===================================================================
--- branches/PublicaMundi_David-devel/docs/kernel/what.rst	(revision 710)
+++ branches/PublicaMundi_David-devel/docs/kernel/what.rst	(revision 711)
@@ -9,8 +9,17 @@
 ZOO-Kernel is the heart of the `ZOO-Project <http://zoo-project.org>`_ WPS platform. It is a WPS compliant implementation written in C language which provides a powerful and extensible WPS server. 
 
-ZOO-Kernel is an extensible WPS server that makes your system more powerful. It provides a full-featured processing engine which runs on Linux, Mac OSX |trade| and Windows |trade| operating
-systems. ZOO-Kernel is a CGI program which works on common web servers (namely `Apache <http://httpd.apache.org/>`_ or `IIS <http://www.iis.net/>`_ |trade|). It can be seamlessly integrated to new or existing web platforms.
+ZOO-Kernel is an extensible WPS server that makes your system more
+powerful. It provides a full-featured processing engine which runs on
+Linux, Mac OSX |trade| and Windows |trade| operating
+systems. ZOO-Kernel is a CGI program which works on common web servers
+(namely `Apache <http://httpd.apache.org/>`_ or `IIS
+<http://www.iis.net/>`_ |trade|). It can be seamlessly integrated to
+new or existing web platforms.
 
-ZOO-Kernel lets you process geospatial or non geospatial data using well formed WPS requests. The WPS server is able to manage and chain WPS Services (see ZOO-Services for examples) by loading dynamic libraries and source code written in different programming languages.  
+
+ZOO-Kernel lets you process geospatial or non geospatial data using
+well formed WPS requests. The WPS server is able to manage and chain
+WPS Services (see ZOO-Services for examples) by loading dynamic
+libraries and source code written in different programming languages.  
 
 First class WPS server
@@ -20,9 +29,23 @@
 ........................................................
 
-ZOO-Kernel implements and complies with the `WPS 1.0.0 <http://www.opengeospatial.org/standards/wps/>`_ and the `WPS 2.0.0 <http://www.opengeospatial.org/standards/wps/>`_ standards edited by the `Open Geospatial Consortium <http://www.opengeospatial.org/>`_. It is able to perform the WPS operations as indicated in the OpenGIS |reg| specification, as listed bellow:
+ZOO-Kernel implements and complies with the `WPS 1.0.0
+<http://www.opengeospatial.org/standards/wps/>`_ and the `WPS 2.0.0
+<http://www.opengeospatial.org/standards/wps/>`_ standards edited by
+the `Open Geospatial Consortium <http://www.opengeospatial.org/>`_. It
+is able to perform the WPS operations defined in the OpenGIS |reg|
+specification, such as:
 
-* **GetCapablities**: Returns service-level metadata information.It provides the list of available processing services.
-* **DescribeProcess**: Returns a description of a process, including its supported input and output.
-* **Execute**:  Launches computation and returns the output produced by a particular process.
+* **GetCapablities**: Returns service-level metadata information.It
+  provides the list of available processing services.
+* **DescribeProcess**: Returns a description of a process, including
+  its supported input and output.
+* **Execute**:  Launches computation and returns the output produced
+  by a particular process.
+* **GetStatus**:  only available in WPS 2.0.0, it lets the client fetch
+  the ongoing status of a running service.
+* **GetResult**: only available in WPS 2.0.0, it lets the client fetch
+  the final result of a running service.
+* **Dismiss**: only available in WPS 2.0.0, it lets the client ask
+  the server to stop a running service and remove any file it created.
 
 ZOO-Kernel compliancy and performances can be tested using the