Index: branches/PublicaMundi_David-devel/docs/install/debian.rst
===================================================================
--- branches/PublicaMundi_David-devel/docs/install/debian.rst	(revision 711)
+++ branches/PublicaMundi_David-devel/docs/install/debian.rst	(revision 713)
@@ -84,5 +84,13 @@
   make
 
-Copy the necessary files to the `cgi-bin` directory (as administrator user)
+Install the ``libzoo_service.so.1.5`` by using the following command:
+
+.. code-block:: guess
+
+      sudo make install
+
+
+Copy the necessary files to the `cgi-bin` directory (as administrator
+user):
 
 .. code-block:: guess
Index: branches/PublicaMundi_David-devel/docs/install/installation.rst
===================================================================
--- branches/PublicaMundi_David-devel/docs/install/installation.rst	(revision 711)
+++ branches/PublicaMundi_David-devel/docs/install/installation.rst	(revision 713)
@@ -7,8 +7,9 @@
 steps :
 
- * build the cgic library,
- * install the ZOO-Kernel,
- * install the ZOO-Services,
- * testing your installation.
+.. contents:: 
+    :local:
+    :depth: 1
+    :backlinks: top
+
 
 Build cgic
@@ -61,7 +62,14 @@
 .................
 
+.. contents:: 
+    :local:
+    :depth: 2
+    :backlinks: top
+
 This section provides information on :ref:`kernel_index` configure options. It is recommanded to also read the :ref:`kernel_config` section for configuration technical details.
 
+
 Here is the list of available options as returned by ``./configure --help`` command:
+
 
 .. list-table:: Configure Options
@@ -191,34 +199,33 @@
 All the options are described in more details in the following sections.
 
-GDAL Support (Required) 
-........................
-
-If gdal-config program is not found in your ``PATH``, a
-``--with-gdal-config`` option can be used to specify its location. For
-instance, if ``gdal-config`` lies in ``/usr/local/bin`` which is not in
-your PATH, you may use the following command:
-
-::
-
-  $ ./configure --with-gdal-config=/usr/local/bin/gdal-config
-
-XML2 Support (Required) 
-........................
-
-If xml2-config program is not found in PATH, a *--with-xml2config* option can be used  to specify its location. For instance, if xml2-config is installed in ``/usr/local/bin`` which is not in PATH, you may use the following command:
-
-::
-
-  $ ./configure --with-xml2config=/usr/local/bin/xml2-config
+Specific CGI Directory
+**********************
+
+In the case your ``cgi-bin`` is not located in ``/usr/lib/`` as it is
+assumed per default, then you can specify a specific target location
+by using the following option:
+
+.. code::
+
+    ./configure --with-cgi-dir=/Lbrary/WebServer/CGI-Executables
+
+This way, when you will run the ``make install`` command, the
+ZOO-Kernel will be deployed in the specified directory (so,
+`/Lbrary/WebServer/CGI-Executables`` in this example).
 
 .. _zoo_install_db_backend:
 
 Use a Database Backend (Optional) 
-..................................
+**********************************
 
 If you want to share the ongoing informations of running services
-between various ZOO-Kernel instances then you should activate this
-option. This way, both the *GetStatus*, *GetResult* and *Dismiss*
-requests can be run from any host accessing the same database.
+between various ZOO-Kernel instances then you should use this
+option: ``--with-db-backend``. This way, both the *GetStatus*,
+*GetResult* and *Dismiss* requests can be run from any host accessing
+the same database. Obviously, this will require that the ZOO-Kernel is
+able to access the Database server. To learn how to configure this
+connection and how to create this database please refer to :ref:`[1]
+<zoo_activate_db_backend>` and :ref:`[2] <zoo_create_db_backend>`
+respectively.
 
 .. note::
@@ -231,6 +238,28 @@
 
 
+
+GDAL Support (Required) 
+************************
+
+If gdal-config program is not found in your ``PATH``, a
+``--with-gdal-config`` option can be used to specify its location. For
+instance, if ``gdal-config`` lies in ``/usr/local/bin`` which is not in
+your PATH, you may use the following command:
+
+::
+
+  $ ./configure --with-gdal-config=/usr/local/bin/gdal-config
+
+XML2 Support (Required) 
+************************
+
+If xml2-config program is not found in PATH, a *--with-xml2config* option can be used  to specify its location. For instance, if xml2-config is installed in ``/usr/local/bin`` which is not in PATH, you may use the following command:
+
+::
+
+  $ ./configure --with-xml2config=/usr/local/bin/xml2-config
+
 Python Support (Optional) 
-..............................................
+**************************
 
 The ``--with-python=yes`` option is required to activate the :ref:`kernel_index` Python support, using the following command:
@@ -251,5 +280,5 @@
 
 Python Version
-**************
+##############
 
 If multiple Python versions are available and you want to use a
@@ -263,5 +292,5 @@
 
 PHP Support (Optional) 
-..............................................
+***********************
 
 The ``--with-php=yes`` option is required to activate the
@@ -285,5 +314,5 @@
 
 Perl Support (Optional) 
-..............................................
+************************
 
 The ``--with-perl=yes`` option can be used for activating the
@@ -305,5 +334,5 @@
 
 Java Support (Optional) 
-..............................................
+************************
 
 In order to activate the Java support for ZOO-Kernel, the
@@ -335,5 +364,5 @@
 
 JavaScript Support (Optional) 
-..............................................
+******************************
 
 In order to activate the JavaScript support for ZOO-Kernel,
@@ -361,5 +390,5 @@
 
 MapServer Support (Optional) 
-..............................................
+*****************************
 
 
@@ -378,5 +407,5 @@
 
 Orfeo Toolbox Support (Optional) 
-.....................................................
+*********************************
 
 In order to activate the optional Orfeo Toolbox support, the
@@ -397,5 +426,5 @@
 
 SAGA GIS Support (Optional) 
-.....................................................
+****************************
 
 
Index: branches/PublicaMundi_David-devel/docs/kernel/configuration.rst
===================================================================
--- branches/PublicaMundi_David-devel/docs/kernel/configuration.rst	(revision 711)
+++ branches/PublicaMundi_David-devel/docs/kernel/configuration.rst	(revision 713)
@@ -2,5 +2,5 @@
 
 ZOO-Kernel configuration
-=================
+========================
 
 Main configuration file
@@ -166,5 +166,5 @@
 For instance, adding the following in the Service source code  :
 
-.. code-block:: python
+.. code:: python
     
     conf["lenv"]["cookie"]="XXX=XXX1000000; path=/" 
@@ -176,10 +176,11 @@
 value stored before the Service execution.
 
-
-database section
-...............................
-
-The database section allows to configure the ZOO-Kernel optional
-database support. 
+.. _zoo_activate_db_backend:
+
+Database section
+...............................
+
+The database section allows to configure the
+:ref:`ZOO-Kernel optional database support <zoo_install_db_backend>`. 
 
 .. code-block:: guess
@@ -193,13 +194,39 @@
 	schema=public
 
-This will generate strings to be passed to GDAL:
-
-.. code-block::
+This will generate strings to be passed to GDAL to connect the
+database server:
+
+.. code-block:: guess
    
-     <type>:host=<host> port=<port>  user=<user> dbname=<dbname>
-
- .. code-block::
-
-      PG:"dbname='zoo_project' host='127.0.0.' port='5432' user='x' password='y'"
+    <type>:host=<host> port=<port>  user=<user> dbname=<dbname>
+
+
+With the previous database section, it will give the following:
+
+.. code-block:: guess
+
+    PG:"dbname=zoo_project host=127.0.0.1 port=5432 user=username"
+
+.. _zoo_create_db_backend:
+
+To create a new database to be used by the ZOO-Kernel, you have
+to load the `schema.sql
+<http://zoo-project.org/trac/browser/trunk/zoo-project/zoo-kernel/sql/schema.sql>`_ 
+file. For instance, you may run the following:
+
+.. code::
+
+    createdb zoo_project
+    psql zoo_project -f zoo-project/zoo-kernel/sql/schema.sql
+
+.. note::
+    You can choose another schema to store ZOO-Kernel specific
+    informations. In such a case, you would need to edit the
+    schema.sql file to uncomment line `33
+    <http://zoo-project.org/trac/browser/trunk/zoo-project/zoo-kernel/sql/schema.sql#L33>`_
+    and `34
+    <http://zoo-project.org/trac/browser/trunk/zoo-project/zoo-kernel/sql/schema.sql#L34>`_.
+
+
 
       